# Uses of Enum
org.codehaus.janino.Parser.InterfaceDeclarationContext

Packages that use Parser.InterfaceDeclarationContext
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Parser.InterfaceDeclarationContext in org.codehaus.janino

Methods in org.codehaus.janino that return Parser.InterfaceDeclarationContext
Modifier and Type
Method
Description
`static Parser.InterfaceDeclarationContext`
Parser.InterfaceDeclarationContext.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Parser.InterfaceDeclarationContext[]`
Parser.InterfaceDeclarationContext.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.codehaus.janino with parameters of type Parser.InterfaceDeclarationContext
Modifier and Type
Method
Description
`Java.AnnotationTypeDeclaration`
Parser.`parseAnnotationTypeDeclarationRest(String docComment, Java.Modifier[] modifiers, Parser.InterfaceDeclarationContext context)`
AnnotationTypeDeclarationRest := Identifier AnnotationTypeBody
`Java.InterfaceDeclaration`
Parser.`parseInterfaceDeclarationRest(String docComment, Java.Modifier[] modifiers, Parser.InterfaceDeclarationContext context)`
InterfaceDeclarationRest := Identifier [ typeParameters ] [ 'extends' ReferenceTypeList ] InterfaceBody